POST
/v1/mgmt/outbound/app/user/oauthtoken/upload

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

appId*string
Length1 <= length <= 254
userId*string
Length1 <= length <= 254
tenantId?string
refreshToken?string
Lengthlength <= 10000
accessToken?string
Lengthlength <= 10000
accessTokenExpiry?integer
Formatint32
accessTokenType?string
Lengthlength <= 32
scopes?array<string>
string
externalIdentifier?string
Lengthlength <= 254
idToken?string
Lengthlength <= 10000
verifyRefresh?boolean
grantedBy?string
Lengthlength <= 254
refreshTokenExpiry?integer
Formatint32

Upload a user OAuth token for an outbound application

Import a pre-existing user-scoped OAuth token into an outbound application without requiring the user to re-run the OAuth flow. Requires a management key.

curl -X POST "https://api.descope.com/v1/mgmt/outbound/app/user/oauthtoken/upload" \  -H "Content-Type: application/json" \  -d '{    "appId": "string",    "userId": "string"  }'
{}
export interface Response {}
Was this helpful?